import 'package:flutter/material.dart';
import 'package:hub/components/organism_components/up_arrow_linked_locals_component/up_arrow_linked_locals_component_widget.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';
import 'package:hub/shared/utils/storage_util.dart';

class UpArrowLinkedLocalsComponentModel
    extends FlutterFlowModel<UpArrowLinkedLocalsComponentWidget> {
  late final String devUUID;
  late final String userUUID;
  late final String cliUUID;
  late final String cliName;

  @override
  void initState(BuildContext context) {
    initDB();
  }

  Future<void> initDB() async {
    devUUID = StorageUtil().devUUID;
    userUUID = StorageUtil().userUUID;
    cliUUID = StorageUtil().cliUUID;
    cliName = StorageUtil().cliName;
  }

  @override
  void dispose() {}
}
